Bug 44943 - Inconsistent engine name Catalina vs Standalone in server.xml
Inconsistent engine name Catalina vs Standalone in server.xml
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Connector:AJP
5.5.26
All All
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-05-06 09:41 UTC by bruce weertman
Modified: 2009-06-20 03:47 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bruce weertman 2008-05-06 09:41:44 UTC
The following is in server.xml:

    <!-- You should set jvmRoute to support load-balancing via AJP ie :
    <Engine name="Standalone" defaultHost="localhost" jvmRoute="jvm1">
    -->

    <!-- Define the top level container in our container hierarchy -->
    <Engine name="Catalina" defaultHost="localhost">

The commented name should be Catalina not Standalone.

It is *way* too easy to Cut and paste so that it looks like this:

    <Engine name="Standalone" defaultHost="localhost" jvmRoute="my_jvm_route">

and end up blowing a lot of time trying to figure out why the manager web
application (http://localhost:8080/manager/html) returns a 404  !!

This is due to the context file
   tomcat/conf/Catalina/localhost/manager.xml
Not being read.
Comment 1 Mark Thomas 2008-05-07 10:24:47 UTC
This has been fixed in trunk and proposed for 6.0.x and 5.5.x
Comment 2 Mark Thomas 2008-07-30 13:42:55 UTC
This has been fixed in 5.5.x and will be included in 5.5.27 onwards.
Comment 3 Konstantin Kolinko 2009-06-11 05:33:42 UTC
Applied the same fix to the exe distribution of Tomcat. (It uses a separate copy of server.xml, that missed this fix). This will be in 6.0.21 onwards. Proposed for 5.5.x.
Comment 4 Konstantin Kolinko 2009-06-20 03:47:42 UTC
Applied to 5.5.x. It will be in 5.5.28 onwards.